#!/bin/sh
. ./all.env
cat <<EOF > $TEMPPAT
<>: okay bounce sender
user: okay local
user@: flags=[FRM]
user@foo.foo: flags=[FRM]
user@localhost: flags=
EOF
cd ..; $PROG -Dmailfrom -X'<>' > $TEMPOUT
$PROG -Dmailfrom -X'user' >> $TEMPOUT
$PROG -Dmailfrom -X'user@' >> $TEMPOUT
$PROG -Dmailfrom -X'user@foo.foo' >> $TEMPOUT
$PROG -Dmailfrom -X'user@localhost' >> $TEMPOUT
if `diff $TEMPPAT $TEMPOUT`; then
	echo "	"$0:"	"OK
	rm $TEMPPAT $TEMPOUT
	exit 0
fi
echo "	"$0:"	"failed
diff -c $TEMPPAT $TEMPOUT
rm $TEMPPAT $TEMPOUT
exit 1
